TestNs\MyApp\ProvisionedAmountsType:
    properties:
        total:
            expose: true
            access_type: public_method
            serialized_name: total
            accessor:
                getter: getTotal
                setter: setTotal
            xml_attribute: true
            type: float
        gratuityBasisType:
            expose: true
            access_type: public_method
            serialized_name: gratuityBasisType
            accessor:
                getter: getGratuityBasisType
                setter: setGratuityBasisType
            xml_attribute: true
            type: string
        gratuityRate:
            expose: true
            access_type: public_method
            serialized_name: gratuityRate
            accessor:
                getter: getGratuityRate
                setter: setGratuityRate
            xml_attribute: true
            type: float
        amount:
            expose: true
            access_type: public_method
            serialized_name: amount
            accessor:
                getter: getAmount
                setter: setAmount
            xml_list:
                inline: true
                entry_name: amount
            type: array<TestNs\MyApp\ProvisionedAmountType>
